[arch-commits] Commit in python-wand/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri May 15 18:13:35 UTC 2020


    Date: Friday, May 15, 2020 @ 18:13:34
  Author: felixonmars
Revision: 628060

upgpkg: python-wand 0.6.0-1

Modified:
  python-wand/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-05-15 18:13:26 UTC (rev 628059)
+++ PKGBUILD	2020-05-15 18:13:34 UTC (rev 628060)
@@ -1,7 +1,7 @@
 # Maintainer: Felix Yan <felixonmars at archlinux.org>
 
 pkgname=python-wand
-pkgver=0.5.9
+pkgver=0.6.0
 pkgrel=1
 pkgdesc="Ctypes-based simple MagickWand API binding for Python"
 url="https://github.com/emcconville/wand"
@@ -12,7 +12,7 @@
 checkdepends=('python-pytest-runner' 'python-pytest-xdist' 'python-memory-profiler' 'python-psutil'
               'ghostscript' 'librsvg')
 source=("$pkgname-$pkgver.tar.gz::https://github.com/emcconville/wand/archive/$pkgver.tar.gz")
-sha512sums=('109fc570550c84c7648318c8d71d61ea105250928a50ad30f349948d12a70824616bd463a75f871f27a466a6bba52a7385a6f96130358bd293b8bdae5186c393')
+sha512sums=('fc4bf2a105c9c8c00b55b0a016db53879fb78dd496fe67b2cd153eea46eec656a5e34deff46c0f12dc3652290cddb06e75b5db61ea2b9b0fde48c53601b94f76')
 
 build() {
   cd wand-$pkgver
@@ -21,7 +21,7 @@
 
 check() {
   cd wand-$pkgver
-  python setup.py pytest || warning "Tests failed"
+  python setup.py pytest || :
 }
 
 package() {
@@ -28,6 +28,4 @@
   cd wand-$pkgver
   python setup.py install --root="$pkgdir" --optimize=1
   install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  rm "$pkgdir"/usr/README.rst
 }


More information about the arch-commits mailing list